import React from 'react';
import { Image } from 'react-native';
import PropTypes, { InferProps } from 'prop-types';
export declare const ImageGridContext: React.Context<{}>;
export declare function ImageGrid(props: InferProps<typeof ImageGrid.propTypes>): JSX.Element | null;
export declare namespace ImageGrid {
    var propTypes: {
        dataImage: PropTypes.Validator<any>;
        sourceKey: PropTypes.Requireable<string>;
        width: PropTypes.Requireable<number>;
        colorLoader: PropTypes.Requireable<any>;
        spaceSize: PropTypes.Requireable<number>;
        containerStyle: PropTypes.Requireable<any>;
        activeOpacity: PropTypes.Requireable<number>;
        maximum: PropTypes.Requireable<number>;
        onPressImage: PropTypes.Requireable<(...args: any[]) => any>;
        backgroundMask: PropTypes.Requireable<string>;
        backgroundMaskVideo: PropTypes.Requireable<string>;
        numberRemainStyle: PropTypes.Requireable<any>;
        videoIconStyle: PropTypes.Requireable<any>;
        videoKey: PropTypes.Requireable<string>;
        videoURLKey: PropTypes.Requireable<string>;
        conditionCheckVideo: PropTypes.Requireable<any>;
        heightKey: PropTypes.Requireable<string>;
        widthKey: PropTypes.Requireable<string>;
        componentDelete: PropTypes.Requireable<PropTypes.ReactElementLike>;
        onDeleteImage: PropTypes.Requireable<(...args: any[]) => any>;
        showDelete: PropTypes.Requireable<boolean>;
        ratioImagePortrait: PropTypes.Requireable<number>;
        ratioImageLandscape: PropTypes.Requireable<number>;
        prefixPath: PropTypes.Requireable<string>;
        backgroundColorKey: PropTypes.Requireable<string>;
        ImageWrap: PropTypes.Requireable<PropTypes.ReactComponentLike>;
    };
    var defaultProps: {
        dataImage: never[];
        colorLoader: string[];
        sourceKey: string;
        videoURLKey: string;
        width: number;
        spaceSize: number;
        activeOpacity: number;
        maximum: number;
        backgroundMask: string;
        backgroundMaskVideo: string;
        videoKey: string;
        conditionCheckVideo: boolean;
        heightKey: string;
        widthKey: string;
        onPressImage: () => void;
        emptyImageSource: any;
        showDelete: boolean;
        onDeleteImage: () => void;
        ratioImagePortrait: number;
        ratioImageLandscape: number;
        prefixPath: string;
        backgroundColorKey: string;
        ImageWrap: typeof Image;
    };
}
